/*
 *
 *	\[XR[hWFl[^
 *	_lϊW[wb_
 *	Copyleft 1997 Tachibana Eriko.
 *
 */

#ifndef	FPCONV_H
#define	FPCONV_H


#if !defined(__GNUC__) || (__GNUC__ < 2)
#error You lose. This file can be compiled only by GNU-C compiler version 2.
#endif


union quadword_tag {
    struct {
	unsigned long hi;
	unsigned long lo;
    } ul;
    double d;
};

typedef union quadword_tag quadword;

union packed_decimal_tag {
    struct {
	unsigned long hi;
	unsigned long mi;
	unsigned long lo;
    } ul;
    unsigned char uc[12];
};

typedef union packed_decimal_tag packed_decimal;


extern void	fpconv_s (char* buf, float* valp);
extern void	fpconv_d (char* buf, double* valp);
extern void	fpconv_x (char* buf, long double* valp);
extern void	fpconv_p (char* buf, packed_decimal* valp);
extern void	fpconv_q (char* buf, quadword* valp);


#endif	/* FPCONV_H */

/* EOF */
